%define name	icecast
%define version	1.3.11
%define release 1mdk

Summary:	Icecast - Streaming Media Server
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
License:	GPL
URL:		http://www.icecast.org
Source:		http://www.icecast.org/releases/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot


%description
Icecast is an Internet based broadcasting system based on the Mpeg Layer III
streaming technology.  It was originally inspired by Nullsoft's Shoutcast
and also mp3serv by Scott Manley.  The icecast project was started for several
reasons: a) all broadcasting systems were pretty much closed source,
non-free software implementations, b) Shoutcast doesn't allow you to run your
own directory servers, or support them, and c) we thought it would be a
lot of fun.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
# readline compile here is fucked
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --enable-fsstd --enable-libwrap \
	--without-readline
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --enable-fsstd --enable-libwrap \
	--without-readline 
fi
%make

%install
make DESTDIR=$RPM_BUILD_ROOT install


# copy the configuration files to be the right name so that it works without 
# _having_ # to change them (though they should), and leave the defaults so 
# they don't screw with them
cp $RPM_BUILD_ROOT%{_sysconfdir}/icecast/icecast.conf.dist $RPM_BUILD_ROOT%{_sysconfdir}/icecast/icecast.conf
cp $RPM_BUILD_ROOT%{_sysconfdir}/icecast/groups.aut.dist $RPM_BUILD_ROOT%{_sysconfdir}/icecast/groups.aut
cp $RPM_BUILD_ROOT%{_sysconfdir}/icecast/mounts.aut.dist $RPM_BUILD_ROOT%{_sysconfdir}/icecast/mounts.aut
cp $RPM_BUILD_ROOT%{_sysconfdir}/icecast/users.aut.dist $RPM_BUILD_ROOT%{_sysconfdir}/icecast/users.aut

%files
%defattr(-,root,root)
%doc AUTHORS BUGS CHANGES COPYING FAQ README TESTED TODO
%doc doc/manual.html
%{_sbindir}/icecast
/var/log/icecast
%{_datadir}/icecast/
%{_sysconfdir}/icecast/groups.aut.dist
%{_sysconfdir}/icecast/mounts.aut.dist
%{_sysconfdir}/icecast/users.aut.dist
%{_sysconfdir}/icecast/icecast.conf.dist
%config %{_sysconfdir}/icecast/groups.aut
%config %{_sysconfdir}/icecast/mounts.aut
%config %{_sysconfdir}/icecast/users.aut
%config %{_sysconfdir}/icecast/icecast.conf

%clean 
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 14 2001 Laurent Culioli <laurent@mandrakesoft.com> 1.3.11-1mdk
- updated to 1.3.11

* Wed Aug 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.10-2mdk
- rebuild

* Thu Jun 14 2001 Laurent Culioli <laurent@mandrakesoft.com> 1.3.10-1mdk
- updated to 1.3.10

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.8.beta2-1mdk
- updated to 1.3.8.beta2

* Wed Sep 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.7-2mdk
- BM
- macros

* Fri Jul 07 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.3.7-1mdk
- mandrake-ize package

* Tue Mar 21 2000 Jeremy Katz <katzj@icecast.org>
- clean up the spec file a little

* Thu Dec 9 1999 Jeremy Katz <katzj@icecast.org>
- First official rpm build, using 2.0.0-beta










